Bug 1908846 - [RFE] verbose output for failing upgrade checks
Summary: [RFE] verbose output for failing upgrade checks
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Foreman Maintain
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: 6.8.3
Assignee: Suraj Patil
QA Contact: Gaurav Talreja
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-17 17:48 UTC by James Jeffers
Modified: 2021-01-28 19:41 UTC (History)
18 users (show)

Fixed In Version: rubygem-foreman_maintain-0.6.5
Doc Type: Enhancement
Doc Text:
Clone Of: 1703041
Environment:
Last Closed: 2021-01-28 19:40:57 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 29713 0 Normal Closed verbose output for failing upgrade checks 2021-01-30 09:50:08 UTC
Red Hat Product Errata RHBA-2021:0302 0 None None None 2021-01-28 19:41:09 UTC

Comment 1 Patrick Creech 2021-01-06 21:02:46 UTC
Can we get (or is there) an upstream 0.6.z version of foreman-maintain with this fix in it?

Comment 3 Gaurav Talreja 2021-01-13 16:38:29 UTC
Verified.

Tested on Satellite 6.8.3 Snap 1
Version: rubygem-foreman_maintain-0.6.14-1.el7sat.noarch

Setup:
1. # hammer role create --name test_role
2. # hammer filter available-permissions
3. # hammer filter create --role test_role --permission-ids 62,68  (Here id's 62 and 68 are for view_hosts and console_hosts respectively)
4. # hammer filter list --search role=test_role (Check for the role, resource type, and permissions assigned)
5. Change resource type of any permission to test this check -
   # sudo su - postgres -c "psql -d foreman -c 'UPDATE permissions SET resource_type = '\''xyz'\'' WHERE name = '\''console_hosts'\'';'"

Steps:
1. # foreman-maintain health check --label corrupted-roles

Observation:
The check was able to detect and fix the corrupted-roles along with it also displayed their names as well.
Also, After the resource type is changed so it tries to split the filter while splitting out of 2 only 1 permission was changed so it created a new filter for it, and check that with the command `# hammer filter list --search role=test_role`

Comment 8 errata-xmlrpc 2021-01-28 19:40:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Satellite 6.8.3 Async Bug Fix Update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:0302


Note You need to log in before you can comment on or make changes to this bug.